# !repeat(4)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

!repeat, !until - Conditional loop (post testing)

## SYNOPSIS

!repeat

... loop body ...

!until condition

## DESCRIPTION

Th !repeat command operates in a similar fashion to !while/!done except the condition is tested at the end. Control finishes if the condition is met. As with the !while(4) there is no nesting of multiple !repeat statements.

## EXAMPLE

For example, the following macro segment fills to the fill column with spaces.

    !repeat
        insert-string " "
    !until &equal $curcol $buffer-fill-col

## SEE ALSO

!if(4), !goto(4), !repeat(4).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>